import org.gradle.api.tasks.compile.JavaCompile

plugins {
    java
    id("chat-bot.java-conventions")
}

val libs = versionCatalogs.named("libs")

dependencies {
    implementation(project(":bot-api"))
    implementation(libs.findLibrary("log4j2-api").get())
}

tasks.withType<JavaCompile> {
    options.compilerArgs.add("-parameters")
}